searchData={"items":[{"type":"module","title":"Amnesia","doc":"","ref":"Amnesia.html"},{"type":"function","title":"Amnesia.abort/1","doc":"Abort the current transaction.","ref":"Amnesia.html#abort/1"},{"type":"macro","title":"Amnesia.async/1","doc":"Run the passed function or block in a dirty asynchronous context, see\n`mnesia:async_dirty`.","ref":"Amnesia.html#async/1"},{"type":"function","title":"Amnesia.async/2","doc":"Run the passed function in a dirty asynchronous context passing over the\npassed arguments, see `mnesia:async_dirty`.","ref":"Amnesia.html#async/2"},{"type":"function","title":"Amnesia.cancel/1","doc":"Cancel the current transaction.","ref":"Amnesia.html#cancel/1"},{"type":"function","title":"Amnesia.debug/1","doc":"Change the debug level.","ref":"Amnesia.html#debug/1"},{"type":"type","title":"Amnesia.debug_level/0","doc":"","ref":"Amnesia.html#t:debug_level/0"},{"type":"macro","title":"Amnesia.defdatabase/2","doc":"Define a database with the given name and the various definitions in the\nblock.","ref":"Amnesia.html#defdatabase/2"},{"type":"macro","title":"Example - Amnesia.defdatabase/2","doc":"use Amnesia\n\n    defdatabase Foo do\n      deftable Bar, [:id, :a], type: :bag\n\n      deftable Baz, [:id, :a, :b] do\n        def foo(self)\n          42\n        end\n      end\n    end","ref":"Amnesia.html#defdatabase/2-example"},{"type":"function","title":"Amnesia.dump/1","doc":"Dump the database to a text file, see `mnesia:dump_to_textfile`.","ref":"Amnesia.html#dump/1"},{"type":"function","title":"Amnesia.error/1","doc":"Get an error description from an error code, see `mnesia:error_description`.","ref":"Amnesia.html#error/1"},{"type":"macro","title":"Amnesia.ets/1","doc":"Run the passed function or block in the ETS context, see `mnesia:ets`.","ref":"Amnesia.html#ets/1"},{"type":"function","title":"Amnesia.ets/2","doc":"Run the passed function in the ETS context passing over the passed arguments,\nsee `mnesia:ets`.","ref":"Amnesia.html#ets/2"},{"type":"function","title":"Amnesia.info/0","doc":"Print information about the mnesia database, see `mnesia:info`.","ref":"Amnesia.html#info/0"},{"type":"function","title":"Amnesia.info/1","doc":"Return information about the running instance, see `mnesia:system_info`.","ref":"Amnesia.html#info/1"},{"type":"function","title":"Amnesia.load/1","doc":"Load a dump from a text file, see `mnesia:load_textfile`.","ref":"Amnesia.html#load/1"},{"type":"function","title":"Amnesia.lock/3","doc":"Lock the whole database on the given node for the given keys with the given\nlock, see `mnesia:lock`.","ref":"Amnesia.html#lock/3"},{"type":"function","title":"Locks - Amnesia.lock/3","doc":"* `:write` sets a `:write` lock\n* `:write!` sets a `:sticky_write` lock\n* `:read` sets a `:read` lock","ref":"Amnesia.html#lock/3-locks"},{"type":"function","title":"Amnesia.master_nodes/1","doc":"Set master nodes, see `mnesia:set_master_nodes`.","ref":"Amnesia.html#master_nodes/1"},{"type":"function","title":"Amnesia.start/0","doc":"Start the database, see `mnesia:start`.","ref":"Amnesia.html#start/0"},{"type":"function","title":"Amnesia.stop/0","doc":"Stop the database, see `mnesia:stop`.","ref":"Amnesia.html#stop/0"},{"type":"macro","title":"Amnesia.sync/1","doc":"Run the passed function or block in a dirty synchronous context, see\n`mnesia:sync_dirty`.","ref":"Amnesia.html#sync/1"},{"type":"function","title":"Amnesia.sync/2","doc":"Run the passed function in a dirty synchronous context passing over the\npassed arguments, see `mnesia:sync_dirty`.","ref":"Amnesia.html#sync/2"},{"type":"macro","title":"Amnesia.transaction/1","doc":"Start a transaction with the given block or function, see `mnesia:transaction`.","ref":"Amnesia.html#transaction/1"},{"type":"function","title":"Amnesia.transaction/2","doc":"Start a transaction with the given function passing the passed arguments to\nit, see `mnesia:transaction`.","ref":"Amnesia.html#transaction/2"},{"type":"function","title":"Amnesia.transaction/3","doc":"Start a transaction with the given function passing the passed arguments to it,\ntrying to take a lock maximum *retries* times, see `mnesia:transaction`.","ref":"Amnesia.html#transaction/3"},{"type":"macro","title":"Amnesia.transaction!/1","doc":"Start a synchronous transaction with the given block or function, see\n`mnesia:sync_transaction`.","ref":"Amnesia.html#transaction!/1"},{"type":"function","title":"Amnesia.transaction!/2","doc":"Start a synchronous transaction with the given function passing the passed\narguments to it, see `mnesia:sync_transaction`.","ref":"Amnesia.html#transaction!/2"},{"type":"function","title":"Amnesia.transaction!/3","doc":"Start a synchronous transaction with the given function passing the passed\narguments to it, trying to take a lock maximum *retries* times, see\n`mnesia:sync_transaction`.","ref":"Amnesia.html#transaction!/3"},{"type":"function","title":"Amnesia.transaction?/0","doc":"Check if it's inside a transaction or not, see `mnesia:is_transaction`.","ref":"Amnesia.html#transaction?/0"},{"type":"behaviour","title":"Amnesia.Access","doc":"This behavior is used to implement a different system while taking advantage\nof mnesia.\n\nIt's used by mnesia itself to implement fragmentation using `mnesia_frag` and\n`mnesia:activity`.","ref":"Amnesia.Access.html"},{"type":"function","title":"Amnesia.Access.all_keys/4","doc":"","ref":"Amnesia.Access.html#all_keys/4"},{"type":"callback","title":"Amnesia.Access.all_keys/4","doc":"","ref":"Amnesia.Access.html#c:all_keys/4"},{"type":"function","title":"Amnesia.Access.clear_table/4","doc":"","ref":"Amnesia.Access.html#clear_table/4"},{"type":"callback","title":"Amnesia.Access.clear_table/4","doc":"","ref":"Amnesia.Access.html#c:clear_table/4"},{"type":"function","title":"Amnesia.Access.delete/5","doc":"","ref":"Amnesia.Access.html#delete/5"},{"type":"callback","title":"Amnesia.Access.delete/5","doc":"","ref":"Amnesia.Access.html#c:delete/5"},{"type":"function","title":"Amnesia.Access.delete_object/5","doc":"","ref":"Amnesia.Access.html#delete_object/5"},{"type":"callback","title":"Amnesia.Access.delete_object/5","doc":"","ref":"Amnesia.Access.html#c:delete_object/5"},{"type":"function","title":"Amnesia.Access.first/3","doc":"","ref":"Amnesia.Access.html#first/3"},{"type":"callback","title":"Amnesia.Access.first/3","doc":"","ref":"Amnesia.Access.html#c:first/3"},{"type":"function","title":"Amnesia.Access.foldl/6","doc":"","ref":"Amnesia.Access.html#foldl/6"},{"type":"callback","title":"Amnesia.Access.foldl/6","doc":"","ref":"Amnesia.Access.html#c:foldl/6"},{"type":"function","title":"Amnesia.Access.foldr/6","doc":"","ref":"Amnesia.Access.html#foldr/6"},{"type":"callback","title":"Amnesia.Access.foldr/6","doc":"","ref":"Amnesia.Access.html#c:foldr/6"},{"type":"opaque","title":"Amnesia.Access.id/0","doc":"","ref":"Amnesia.Access.html#t:id/0"},{"type":"function","title":"Amnesia.Access.index_match_object/6","doc":"","ref":"Amnesia.Access.html#index_match_object/6"},{"type":"callback","title":"Amnesia.Access.index_match_object/6","doc":"","ref":"Amnesia.Access.html#c:index_match_object/6"},{"type":"function","title":"Amnesia.Access.index_read/6","doc":"","ref":"Amnesia.Access.html#index_read/6"},{"type":"callback","title":"Amnesia.Access.index_read/6","doc":"","ref":"Amnesia.Access.html#c:index_read/6"},{"type":"function","title":"Amnesia.Access.last/3","doc":"","ref":"Amnesia.Access.html#last/3"},{"type":"callback","title":"Amnesia.Access.last/3","doc":"","ref":"Amnesia.Access.html#c:last/3"},{"type":"function","title":"Amnesia.Access.lock/4","doc":"","ref":"Amnesia.Access.html#lock/4"},{"type":"callback","title":"Amnesia.Access.lock/4","doc":"","ref":"Amnesia.Access.html#c:lock/4"},{"type":"type","title":"Amnesia.Access.lock_item/0","doc":"","ref":"Amnesia.Access.html#t:lock_item/0"},{"type":"type","title":"Amnesia.Access.lock_kind/0","doc":"","ref":"Amnesia.Access.html#t:lock_kind/0"},{"type":"function","title":"Amnesia.Access.match_object/5","doc":"","ref":"Amnesia.Access.html#match_object/5"},{"type":"callback","title":"Amnesia.Access.match_object/5","doc":"","ref":"Amnesia.Access.html#c:match_object/5"},{"type":"function","title":"Amnesia.Access.next/4","doc":"","ref":"Amnesia.Access.html#next/4"},{"type":"callback","title":"Amnesia.Access.next/4","doc":"","ref":"Amnesia.Access.html#c:next/4"},{"type":"function","title":"Amnesia.Access.prev/4","doc":"","ref":"Amnesia.Access.html#prev/4"},{"type":"callback","title":"Amnesia.Access.prev/4","doc":"","ref":"Amnesia.Access.html#c:prev/4"},{"type":"function","title":"Amnesia.Access.read/5","doc":"","ref":"Amnesia.Access.html#read/5"},{"type":"callback","title":"Amnesia.Access.read/5","doc":"","ref":"Amnesia.Access.html#c:read/5"},{"type":"function","title":"Amnesia.Access.select/5","doc":"","ref":"Amnesia.Access.html#select/5"},{"type":"callback","title":"Amnesia.Access.select/5","doc":"","ref":"Amnesia.Access.html#c:select/5"},{"type":"function","title":"Amnesia.Access.select/6","doc":"","ref":"Amnesia.Access.html#select/6"},{"type":"callback","title":"Amnesia.Access.select/6","doc":"","ref":"Amnesia.Access.html#c:select/6"},{"type":"function","title":"Amnesia.Access.select_cont/3","doc":"","ref":"Amnesia.Access.html#select_cont/3"},{"type":"callback","title":"Amnesia.Access.select_cont/3","doc":"","ref":"Amnesia.Access.html#c:select_cont/3"},{"type":"function","title":"Amnesia.Access.table_info/4","doc":"","ref":"Amnesia.Access.html#table_info/4"},{"type":"callback","title":"Amnesia.Access.table_info/4","doc":"","ref":"Amnesia.Access.html#c:table_info/4"},{"type":"function","title":"Amnesia.Access.write/5","doc":"","ref":"Amnesia.Access.html#write/5"},{"type":"callback","title":"Amnesia.Access.write/5","doc":"","ref":"Amnesia.Access.html#c:write/5"},{"type":"behaviour","title":"Amnesia.Backup","doc":"This module provides a behavior to implement a backup module and helpers to\nuse backups.","ref":"Amnesia.Backup.html"},{"type":"callback","title":"Amnesia.Backup.abort_write/1","doc":"Close the backup if the backup is interrupted.","ref":"Amnesia.Backup.html#c:abort_write/1"},{"type":"function","title":"Amnesia.Backup.checkpoint/1","doc":"Create a checkpoint, see `mnesia:activate_checkpoint`.\nIt's important to backup the metadata table, to avoid bugs when restoring the database.\n\nExample to backup on a file called \"backup\" the table Account as well the metadata table:\n\n```\nAmnesia.Backup.checkpoint(%{\n  name: 'backup',\n  max: [Database.Account, Database]\n})\n```","ref":"Amnesia.Backup.html#checkpoint/1"},{"type":"function","title":"Amnesia.Backup.checkpoint/2","doc":"Create a checkpoint with the given name, see `mnesia:activate_checkpoint`.","ref":"Amnesia.Backup.html#checkpoint/2"},{"type":"callback","title":"Amnesia.Backup.close_read/1","doc":"Close the backup.","ref":"Amnesia.Backup.html#c:close_read/1"},{"type":"callback","title":"Amnesia.Backup.commit_write/1","doc":"Commit the write to the backup.","ref":"Amnesia.Backup.html#c:commit_write/1"},{"type":"type","title":"Amnesia.Backup.i/0","doc":"","ref":"Amnesia.Backup.html#t:i/0"},{"type":"function","title":"Amnesia.Backup.install/1","doc":"Install a fallback with the default backup module, see `mnesia:install_fallback`.","ref":"Amnesia.Backup.html#install/1"},{"type":"function","title":"Amnesia.Backup.install/2","doc":"Install a fallback with the given backup module, see `mnesia:install_fallback`.","ref":"Amnesia.Backup.html#install/2"},{"type":"function","title":"Amnesia.Backup.install/3","doc":"Install a fallback with the given backup module and options, see `mnesia:install_fallback`.","ref":"Amnesia.Backup.html#install/3"},{"type":"type","title":"Amnesia.Backup.o/0","doc":"","ref":"Amnesia.Backup.html#t:o/0"},{"type":"callback","title":"Amnesia.Backup.open_read/1","doc":"Open the backup for reading.","ref":"Amnesia.Backup.html#c:open_read/1"},{"type":"callback","title":"Amnesia.Backup.open_write/1","doc":"Open the backup for writing.","ref":"Amnesia.Backup.html#c:open_write/1"},{"type":"type","title":"Amnesia.Backup.r/0","doc":"","ref":"Amnesia.Backup.html#t:r/0"},{"type":"callback","title":"Amnesia.Backup.read/1","doc":"Read terms from the backup.","ref":"Amnesia.Backup.html#c:read/1"},{"type":"function","title":"Amnesia.Backup.restore/2","doc":"Restore a backup, see `mnesia:restore`.","ref":"Amnesia.Backup.html#restore/2"},{"type":"function","title":"Amnesia.Backup.restore/3","doc":"Restore a backup with the given module, see `mnesia:restore`.","ref":"Amnesia.Backup.html#restore/3"},{"type":"function","title":"Amnesia.Backup.start/1","doc":"Start a backup with the default backup module, see `mnesia:backup`.","ref":"Amnesia.Backup.html#start/1"},{"type":"function","title":"Amnesia.Backup.start/2","doc":"Start a backup of a given checkpoint, see `mnesia:backup_checkpoint`.","ref":"Amnesia.Backup.html#start/2"},{"type":"function","title":"Amnesia.Backup.traverse/4","doc":"Traverse a backup, see `mnesia:traverse_backup`.","ref":"Amnesia.Backup.html#traverse/4"},{"type":"function","title":"Amnesia.Backup.traverse/6","doc":"Traverse a backup with custom backup modules, see `mnesia:traverse_backup`.","ref":"Amnesia.Backup.html#traverse/6"},{"type":"function","title":"Amnesia.Backup.uninstall/0","doc":"Uninstall a fallback, see `mnesia:uninstall_fallback`.","ref":"Amnesia.Backup.html#uninstall/0"},{"type":"function","title":"Amnesia.Backup.uninstall/1","doc":"Uninstall a fallback, see `mnesia:uninstall_fallback`.","ref":"Amnesia.Backup.html#uninstall/1"},{"type":"function","title":"Amnesia.Backup.uninstall/2","doc":"Uninstall a fallback, see `mnesia:uninstall_fallback`.","ref":"Amnesia.Backup.html#uninstall/2"},{"type":"callback","title":"Amnesia.Backup.write/2","doc":"Write the given terms to the backup.","ref":"Amnesia.Backup.html#c:write/2"},{"type":"module","title":"Amnesia.Database","doc":"","ref":"Amnesia.Database.html"},{"type":"macro","title":"Amnesia.Database.deftable/4","doc":"Define a table in the database with the given name, attributes and options.\n\nIf only a name is given, it will forward declare a table.\n\nThe created table will actually be a record, so you can define functions on\nit like you would normally do for a record, various helper methods are added\nby default.","ref":"Amnesia.Database.html#deftable/4"},{"type":"macro","title":"Options - Amnesia.Database.deftable/4","doc":"* `:indices` specifies a list of additional indices to use instead of the\n  first attribute.\n* `:type` specifies the type of the table, it can be `:set`, `:ordered_set`\n   and `:bag`, the default is `:set`\n* `:mode` specifies the access mode, it can be `:both` and `:read!`, the\n  default is `:both`\n* `:majority` specifies the majority of the table, the default is `false`\n* `:priority` specifies the load priority of the table\n* `:local` specifies if the table is local, default is `false`","ref":"Amnesia.Database.html#deftable/4-options"},{"type":"macro","title":"Example - Amnesia.Database.deftable/4","doc":"use Amnesia\n\n    defdatabase Foo do\n      deftable Bar, [:id, :a], type: :bag\n\n      deftable Baz, [:id, :a, :b] do\n        def foo(self)\n          42\n        end\n      end\n    end","ref":"Amnesia.Database.html#deftable/4-example"},{"type":"module","title":"Amnesia.Emulator","doc":"","ref":"Amnesia.Emulator.html"},{"type":"module","title":"Amnesia.Emulator.Database","doc":"","ref":"Amnesia.Emulator.Database.html"},{"type":"macro","title":"Amnesia.Emulator.Database.mockdatabase/3","doc":"","ref":"Amnesia.Emulator.Database.html#mockdatabase/3"},{"type":"module","title":"Amnesia.Emulator.Records","doc":"","ref":"Amnesia.Emulator.Records.html"},{"type":"macro","title":"Amnesia.Emulator.Records.emulator_session/1","doc":"","ref":"Amnesia.Emulator.Records.html#emulator_session/1"},{"type":"macro","title":"Amnesia.Emulator.Records.emulator_session/2","doc":"","ref":"Amnesia.Emulator.Records.html#emulator_session/2"},{"type":"module","title":"Amnesia.Emulator.Table","doc":"","ref":"Amnesia.Emulator.Table.html"},{"type":"macro","title":"Amnesia.Emulator.Table.default_scenario/1","doc":"","ref":"Amnesia.Emulator.Table.html#default_scenario/1"},{"type":"macro","title":"Amnesia.Emulator.Table.mocktable/2","doc":"","ref":"Amnesia.Emulator.Table.html#mocktable/2"},{"type":"macro","title":"Amnesia.Emulator.Table.scenario/2","doc":"","ref":"Amnesia.Emulator.Table.html#scenario/2"},{"type":"module","title":"Amnesia.Emulator.Table.Mock","doc":"","ref":"Amnesia.Emulator.Table.Mock.html"},{"type":"function","title":"Amnesia.Emulator.Table.Mock.delete/2","doc":"","ref":"Amnesia.Emulator.Table.Mock.html#delete/2"},{"type":"function","title":"Amnesia.Emulator.Table.Mock.delete!/2","doc":"Amnesia Method Stub","ref":"Amnesia.Emulator.Table.Mock.html#delete!/2"},{"type":"function","title":"Amnesia.Emulator.Table.Mock.keys/1","doc":"","ref":"Amnesia.Emulator.Table.Mock.html#keys/1"},{"type":"function","title":"Amnesia.Emulator.Table.Mock.keys!/1","doc":"","ref":"Amnesia.Emulator.Table.Mock.html#keys!/1"},{"type":"function","title":"Amnesia.Emulator.Table.Mock.match/2","doc":"","ref":"Amnesia.Emulator.Table.Mock.html#match/2"},{"type":"function","title":"Amnesia.Emulator.Table.Mock.match!/2","doc":"Amnesia Method Stub","ref":"Amnesia.Emulator.Table.Mock.html#match!/2"},{"type":"function","title":"Amnesia.Emulator.Table.Mock.partial_compare/2","doc":"Emulate match functionality.","ref":"Amnesia.Emulator.Table.Mock.html#partial_compare/2"},{"type":"function","title":"Amnesia.Emulator.Table.Mock.read/2","doc":"","ref":"Amnesia.Emulator.Table.Mock.html#read/2"},{"type":"function","title":"Amnesia.Emulator.Table.Mock.read!/2","doc":"Amnesia Method Stub","ref":"Amnesia.Emulator.Table.Mock.html#read!/2"},{"type":"function","title":"Amnesia.Emulator.Table.Mock.write/2","doc":"","ref":"Amnesia.Emulator.Table.Mock.html#write/2"},{"type":"function","title":"Amnesia.Emulator.Table.Mock.write!/2","doc":"","ref":"Amnesia.Emulator.Table.Mock.html#write!/2"},{"type":"function","title":"Amnesia.Emulator.Table.Mock.write_bag/3","doc":"Amnesia Method Stub","ref":"Amnesia.Emulator.Table.Mock.html#write_bag/3"},{"type":"function","title":"Amnesia.Emulator.Table.Mock.write_bag!/3","doc":"Amnesia Method Stub","ref":"Amnesia.Emulator.Table.Mock.html#write_bag!/3"},{"type":"function","title":"Amnesia.Emulator.Table.Mock.write_set/3","doc":"","ref":"Amnesia.Emulator.Table.Mock.html#write_set/3"},{"type":"function","title":"Amnesia.Emulator.Table.Mock.write_set!/3","doc":"","ref":"Amnesia.Emulator.Table.Mock.html#write_set!/3"},{"type":"module","title":"Amnesia.Emulator.Table.Record","doc":"","ref":"Amnesia.Emulator.Table.Record.html"},{"type":"module","title":"Amnesia.Event","doc":"This module implements helpers to handle mnesia events.","ref":"Amnesia.Event.html"},{"type":"type","title":"Amnesia.Event.activity/0","doc":"","ref":"Amnesia.Event.html#t:activity/0"},{"type":"type","title":"Amnesia.Event.category/0","doc":"","ref":"Amnesia.Event.html#t:category/0"},{"type":"function","title":"Amnesia.Event.observe/2","doc":"Observe the given events with the given function.","ref":"Amnesia.Event.html#observe/2"},{"type":"function","title":"Amnesia.Event.report/1","doc":"Report an event, see `mnesia:report_event`.","ref":"Amnesia.Event.html#report/1"},{"type":"function","title":"Amnesia.Event.subscribe/1","doc":"Subscribe to events of a given category, see `mnesia:subscribe`.","ref":"Amnesia.Event.html#subscribe/1"},{"type":"type","title":"Amnesia.Event.system/0","doc":"","ref":"Amnesia.Event.html#t:system/0"},{"type":"type","title":"Amnesia.Event.table/0","doc":"","ref":"Amnesia.Event.html#t:table/0"},{"type":"function","title":"Amnesia.Event.unsubscribe/1","doc":"Unsubscribe from events of a given category, see `mnesia:unsubscribe`.","ref":"Amnesia.Event.html#unsubscribe/1"},{"type":"module","title":"Amnesia.Fragment","doc":"","ref":"Amnesia.Fragment.html"},{"type":"function","title":"Amnesia.Fragment.activate/1","doc":"Activate fragmentation on the given table, see `mnesia:change_table_frag`.","ref":"Amnesia.Fragment.html#activate/1"},{"type":"function","title":"Amnesia.Fragment.activate/2","doc":"Activate fragmentation on the given tables on the given nodes, see\n`mnesia:change_table_frag`.","ref":"Amnesia.Fragment.html#activate/2"},{"type":"function","title":"Amnesia.Fragment.add/2","doc":"Add a fragment to the table on the given nodes, see\n`mnesia:change_table_frag`.","ref":"Amnesia.Fragment.html#add/2"},{"type":"function","title":"Amnesia.Fragment.add_node/2","doc":"Add a given node to the fragments of the given table, see\n`mnesia:change_table_frag`.","ref":"Amnesia.Fragment.html#add_node/2"},{"type":"macro","title":"Amnesia.Fragment.async/1","doc":"Run the passed function or block in a dirty asynchronous context, see\n`mnesia:async_dirty`.","ref":"Amnesia.Fragment.html#async/1"},{"type":"function","title":"Amnesia.Fragment.async/2","doc":"Run the passed function in a dirty asynchronous context passing over the\npassed arguments, see `mnesia:async_dirty`.","ref":"Amnesia.Fragment.html#async/2"},{"type":"function","title":"Amnesia.Fragment.deactivate/1","doc":"Deactivate fragmentation on the table, see `mnesia:change_table_frag`.","ref":"Amnesia.Fragment.html#deactivate/1"},{"type":"function","title":"Amnesia.Fragment.delete/1","doc":"Delete all fragments from the given table, see `mnesia:change_table_frag`.","ref":"Amnesia.Fragment.html#delete/1"},{"type":"function","title":"Amnesia.Fragment.delete_node/2","doc":"Delete a given node to the fragments of the given table, see\n`mnesia:change_table_frag`.","ref":"Amnesia.Fragment.html#delete_node/2"},{"type":"macro","title":"Amnesia.Fragment.ets/1","doc":"Run the passed function or block in the ETS context, see `mnesia:ets`.","ref":"Amnesia.Fragment.html#ets/1"},{"type":"function","title":"Amnesia.Fragment.ets/2","doc":"Run the passed function in the ETS context passing over the passed arguments,\nsee `mnesia:ets`.","ref":"Amnesia.Fragment.html#ets/2"},{"type":"function","title":"Amnesia.Fragment.properties/1","doc":"Get the fragment properties of the given table.","ref":"Amnesia.Fragment.html#properties/1"},{"type":"macro","title":"Amnesia.Fragment.sync/1","doc":"Run the passed function or block in a dirty synchronous context, see\n`mnesia:sync_dirty`.","ref":"Amnesia.Fragment.html#sync/1"},{"type":"function","title":"Amnesia.Fragment.sync/2","doc":"Run the passed function in a dirty synchronous context passing over the\npassed arguments, see `mnesia:sync_dirty`.","ref":"Amnesia.Fragment.html#sync/2"},{"type":"macro","title":"Amnesia.Fragment.transaction/1","doc":"Start a transaction with the given block or function, see `mnesia:transaction`.","ref":"Amnesia.Fragment.html#transaction/1"},{"type":"function","title":"Amnesia.Fragment.transaction/2","doc":"Start a transaction with the given function passing the passed arguments to\nit, see `mnesia:transaction`.","ref":"Amnesia.Fragment.html#transaction/2"},{"type":"function","title":"Amnesia.Fragment.transaction/3","doc":"Start a transaction with the given function passing the passed arguments to it,\ntrying to take a lock maximum *retries* times, see `mnesia:transaction`.","ref":"Amnesia.Fragment.html#transaction/3"},{"type":"macro","title":"Amnesia.Fragment.transaction!/1","doc":"Start a synchronous transaction with the given block or function, see\n`mnesia:sync_transaction`.","ref":"Amnesia.Fragment.html#transaction!/1"},{"type":"function","title":"Amnesia.Fragment.transaction!/2","doc":"Start a synchronous transaction with the given function passing the passed\narguments to it, see `mnesia:sync_transaction`.","ref":"Amnesia.Fragment.html#transaction!/2"},{"type":"function","title":"Amnesia.Fragment.transaction!/3","doc":"Start a synchronous transaction with the given function passing the passed\narguments to it, trying to take a lock maximum *retries* times, see\n`mnesia:sync_transaction`.","ref":"Amnesia.Fragment.html#transaction!/3"},{"type":"behaviour","title":"Amnesia.Fragment.Hash","doc":"This module provides a behavior to implement a different fragment hashing\nalgorithm.","ref":"Amnesia.Fragment.Hash.html"},{"type":"callback","title":"Amnesia.Fragment.Hash.add_frag/1","doc":"Add a fragment returning the new fragment numbers and state.","ref":"Amnesia.Fragment.Hash.html#c:add_frag/1"},{"type":"callback","title":"Amnesia.Fragment.Hash.del_frag/1","doc":"Delete a fragment returning the new fragment numbers and state.","ref":"Amnesia.Fragment.Hash.html#c:del_frag/1"},{"type":"callback","title":"Amnesia.Fragment.Hash.init_state/2","doc":"Initialize the hash state.","ref":"Amnesia.Fragment.Hash.html#c:init_state/2"},{"type":"callback","title":"Amnesia.Fragment.Hash.key_to_frag_number/2","doc":"Convert a key to a fragment number.","ref":"Amnesia.Fragment.Hash.html#c:key_to_frag_number/2"},{"type":"callback","title":"Amnesia.Fragment.Hash.match_spec_to_frag_numbers/2","doc":"Convert a match_spec to fragment numbers.","ref":"Amnesia.Fragment.Hash.html#c:match_spec_to_frag_numbers/2"},{"type":"module","title":"Amnesia.Helper","doc":"","ref":"Amnesia.Helper.html"},{"type":"macro","title":"Amnesia.Helper.result/1","doc":"","ref":"Amnesia.Helper.html#result/1"},{"type":"module","title":"Amnesia.Helper.Options","doc":"","ref":"Amnesia.Helper.Options.html"},{"type":"function","title":"Amnesia.Helper.Options.normalize/1","doc":"Turns parameter into a list, invariant when paramers is a list or nil.","ref":"Amnesia.Helper.Options.html#normalize/1"},{"type":"function","title":"Amnesia.Helper.Options.update/3","doc":"Allows use of pipe operator to chain conditional updates\nto a keyword list. If the given value is nil, no update is\ndone.\n\nPlease note: mylist[:a][:b] will properly return nil even\nof mylist[:a] is already nil instead of crashing. This allows\nusing even deeply nested values safely with this construct.","ref":"Amnesia.Helper.Options.html#update/3"},{"type":"module","title":"Amnesia.Hooks","doc":"","ref":"Amnesia.Hooks.html"},{"type":"macro","title":"Amnesia.Hooks.defhook/2","doc":"","ref":"Amnesia.Hooks.html#defhook/2"},{"type":"module","title":"Amnesia.Metadata","doc":"","ref":"Amnesia.Metadata.html"},{"type":"function","title":"Amnesia.Metadata.counter/3","doc":"Get the counter value for the given table and field.","ref":"Amnesia.Metadata.html#counter/3"},{"type":"function","title":"Amnesia.Metadata.counter/4","doc":"Update the counter for the given table and field by the given value.","ref":"Amnesia.Metadata.html#counter/4"},{"type":"function","title":"Amnesia.Metadata.counter!/3","doc":"Get the counter value for the given table and field, with a dirty read.","ref":"Amnesia.Metadata.html#counter!/3"},{"type":"function","title":"Amnesia.Metadata.counter!/4","doc":"","ref":"Amnesia.Metadata.html#counter!/4"},{"type":"function","title":"Amnesia.Metadata.create/2","doc":"Create the metadata table.","ref":"Amnesia.Metadata.html#create/2"},{"type":"function","title":"Amnesia.Metadata.create!/2","doc":"Create the metadata table, raising in case of error.","ref":"Amnesia.Metadata.html#create!/2"},{"type":"function","title":"Amnesia.Metadata.destroy/1","doc":"Destroy the metadata table.","ref":"Amnesia.Metadata.html#destroy/1"},{"type":"function","title":"Amnesia.Metadata.destroy!/1","doc":"Destroy the metadata table, raising in case of error.","ref":"Amnesia.Metadata.html#destroy!/1"},{"type":"function","title":"Amnesia.Metadata.for/1","doc":"Get the metadata for the given database.","ref":"Amnesia.Metadata.html#for/1"},{"type":"function","title":"Amnesia.Metadata.get/2","doc":"Get a value from the metadata table.","ref":"Amnesia.Metadata.html#get/2"},{"type":"function","title":"Amnesia.Metadata.get!/2","doc":"Get a value from the metadata table using a dirty read.","ref":"Amnesia.Metadata.html#get!/2"},{"type":"function","title":"Amnesia.Metadata.set/3","doc":"Set a value in the metadata table.","ref":"Amnesia.Metadata.html#set/3"},{"type":"function","title":"Amnesia.Metadata.set!/3","doc":"Set a value in the metadata table using a dirty write.","ref":"Amnesia.Metadata.html#set!/3"},{"type":"opaque","title":"Amnesia.Metadata.t/0","doc":"","ref":"Amnesia.Metadata.html#t:t/0"},{"type":"module","title":"Amnesia.Schema","doc":"","ref":"Amnesia.Schema.html"},{"type":"function","title":"Amnesia.Schema.create/1","doc":"Create the schema on the given nodes.","ref":"Amnesia.Schema.html#create/1"},{"type":"function","title":"Amnesia.Schema.destroy/1","doc":"Destroy the schema on the given nodes.","ref":"Amnesia.Schema.html#destroy/1"},{"type":"function","title":"Amnesia.Schema.print/0","doc":"Print the schema information.","ref":"Amnesia.Schema.html#print/0"},{"type":"function","title":"Amnesia.Schema.print/1","doc":"Print the schema of the given table.","ref":"Amnesia.Schema.html#print/1"},{"type":"protocol","title":"Amnesia.Selection","doc":"","ref":"Amnesia.Selection.html"},{"type":"function","title":"Amnesia.Selection.coerce/2","doc":"","ref":"Amnesia.Selection.html#coerce/2"},{"type":"function","title":"Amnesia.Selection.next/1","doc":"","ref":"Amnesia.Selection.html#next/1"},{"type":"type","title":"Amnesia.Selection.t/0","doc":"All the types that implement this protocol.","ref":"Amnesia.Selection.html#t:t/0"},{"type":"function","title":"Amnesia.Selection.values/1","doc":"","ref":"Amnesia.Selection.html#values/1"},{"type":"module","title":"Amnesia.Table","doc":"","ref":"Amnesia.Table.html"},{"type":"function","title":"Amnesia.Table.add_copy/3","doc":"Add a copy of the table to the given node with the given mode, see\n`mnesia:add_table_copy`.\n\n* `:disk` sets `:disc_copies` mode\n* `:disk!` sets `:disc_only_copies` mode\n* `:memory` sets `:ram_copies` mode","ref":"Amnesia.Table.html#add_copy/3"},{"type":"function","title":"Amnesia.Table.add_index/2","doc":"Add an index to the given table for the given attribute, see\n`mnesia:add_table_index`.","ref":"Amnesia.Table.html#add_index/2"},{"type":"function","title":"Amnesia.Table.at!/2","doc":"Read a slot from the given table, see `mnesia:dirty_slot`.","ref":"Amnesia.Table.html#at!/2"},{"type":"function","title":"Amnesia.Table.bag?/1","doc":"Check if the given table is a bag.","ref":"Amnesia.Table.html#bag?/1"},{"type":"type","title":"Amnesia.Table.c/0","doc":"","ref":"Amnesia.Table.html#t:c/0"},{"type":"function","title":"Amnesia.Table.clear/1","doc":"Clear the given table, see `mnesia:clear_table`.","ref":"Amnesia.Table.html#clear/1"},{"type":"function","title":"Amnesia.Table.copying/3","doc":"Change the copying mode of the given table on the given node, see\n`mnesia:change_table_copy_type`.","ref":"Amnesia.Table.html#copying/3"},{"type":"function","title":"Modes - Amnesia.Table.copying/3","doc":"* `:disk` sets `:disc_copies` mode\n* `:disk!` sets `:disc_only_copies` mode\n* `:memory` sets `:ram_copies` mode","ref":"Amnesia.Table.html#copying/3-modes"},{"type":"function","title":"Amnesia.Table.count/1","doc":"Get the number of records in the given table.","ref":"Amnesia.Table.html#count/1"},{"type":"function","title":"Amnesia.Table.create/2","doc":"Create a table with the given name and definition, see `mnesia:create_table`.\n\nThe definition is a keyword list of options which have a correspondence with\n`mnesia` options, to know what they do check the `mnesia` documentation.\n\n* `:record` => `:record_name`\n* `:attributes`\n\n* `:mode` => `:access_mode`\n  + `:both`  => `:read_write`\n  + `:read!` => `:read_only`\n\n* `:type`\n* `:index`\n* `:majority`\n* `:priority` => `:load_order`\n* `:user`     => `:user_properties`\n* `:local`    => `:local_content`\n\n* `:copying` _(a keyword list composed of)_\n  + `:memory` => `:ram_copies`\n  + `:disk`   => `:disc_copies`\n  + `:disk!`  => `:disc_only_copies`\n  + `:rock!`  => `:rocksdb_copies` -- [Will be moved to a formal plug-in, extension system - noizu]\n  \n* `:fragmentation` => `:frag_properties` _(a keyword list composed of)_\n  + `:number`  => `:n_fragments`\n  + `:nodes`   => `:node_pool`\n  + `:foreign` => `:foreign_key`\n\n  + `:hash` _(a keyword list composed of)_\n    + `:module` => `:hash_module`\n    + `:state`  => `:hash_state`\n\n  + `:copying` _(a keyword list composed of)_\n    - `:memory` => `:n_ram_copies`\n    - `:disk`   => `:n_disc_copies`\n    - `:disk!`  => `:n_disc_only_copies`\n    - `:rock!` => `:n_rocksdb_copies`\n  \n  [@see storage options](http://erlang.org/doc/man/mnesia.html#create_table \"storage_settings options\")\n  [@see ets options](http://erlang.org/doc/man/ets.html#new-2 \"ets options\")\n  [@see dets options](http://erlang.org/doc/man/dets.html#init_table-3 \"dets options\")\n  + :ets_options =>  `:compressed`\n  + :dets_options => `{:auto_save, 5000}`\n  + :compressed => `true`\n  \n  [@see rock options](https://github.com/aeternity/mnesia_rocksdb/blob/g3553-refactor-plugin-migration-tmp-220318/doc/README.md#Customization \"rocksdb options\")\n  + :rock_options => `plugin specific` -- [Will be moved to a formal plug-in, extension system, each plugin should expose it's own option set even if folded into user_props internalls - noizu]","ref":"Amnesia.Table.html#create/2"},{"type":"function","title":"Amnesia.Table.create!/2","doc":"Create a table with the given name and definition, see `mnesia:create_table`,\nraises in case of error.","ref":"Amnesia.Table.html#create!/2"},{"type":"type","title":"Amnesia.Table.cv/0","doc":"","ref":"Amnesia.Table.html#t:cv/0"},{"type":"function","title":"Amnesia.Table.delete/3","doc":"Delete the given record in the given table, see `mnesia:delete`.","ref":"Amnesia.Table.html#delete/3"},{"type":"function","title":"Locks - Amnesia.Table.delete/3","doc":"* `:write` sets a `:write` lock\n* `:write!` sets a `:sticky_write` lock","ref":"Amnesia.Table.html#delete/3-locks"},{"type":"function","title":"Amnesia.Table.delete!/2","doc":"Delete the given record in the given table, see `mnesia:dirty_delete`.","ref":"Amnesia.Table.html#delete!/2"},{"type":"function","title":"Amnesia.Table.delete_copy/2","doc":"Delete a copy of the table on the given node, see `mnesia:del_table_copy`.","ref":"Amnesia.Table.html#delete_copy/2"},{"type":"function","title":"Amnesia.Table.delete_index/2","doc":"Delete an index on the given table for the given attribute, see\n`mnesia:del_table_index`.","ref":"Amnesia.Table.html#delete_index/2"},{"type":"function","title":"Amnesia.Table.destroy/1","doc":"Destroy the given table, see `mnesia:delete_table`.","ref":"Amnesia.Table.html#destroy/1"},{"type":"function","title":"Amnesia.Table.destroy!/1","doc":"Destroy the given table, see `mnesia:delete_table`, raising in case of error.","ref":"Amnesia.Table.html#destroy!/1"},{"type":"function","title":"Amnesia.Table.exists?/1","doc":"Checks if a table exists or not.","ref":"Amnesia.Table.html#exists?/1"},{"type":"function","title":"Amnesia.Table.first/1","doc":"Get the first key in the table, see `mnesia:first`.","ref":"Amnesia.Table.html#first/1"},{"type":"function","title":"Amnesia.Table.first!/1","doc":"Get the first key in the table, see `mnesia:dirty_read`.","ref":"Amnesia.Table.html#first!/1"},{"type":"function","title":"Amnesia.Table.foldl/3","doc":"Fold the whole given table from the left, see `mnesia:foldl`.","ref":"Amnesia.Table.html#foldl/3"},{"type":"function","title":"Amnesia.Table.foldr/3","doc":"Fold the whole given table from the right, see `mnesia:foldr`.","ref":"Amnesia.Table.html#foldr/3"},{"type":"function","title":"Amnesia.Table.force/1","doc":"Force the loading of the given table, see `mnesia:force_load_table`.","ref":"Amnesia.Table.html#force/1"},{"type":"function","title":"Amnesia.Table.info/2","doc":"Get information about a given table, see `mnesia:table_info`.","ref":"Amnesia.Table.html#info/2"},{"type":"function","title":"Amnesia.Table.keys/1","doc":"Read all keys in the given table, see `mnesia:all_keys`.","ref":"Amnesia.Table.html#keys/1"},{"type":"function","title":"Amnesia.Table.keys!/1","doc":"Read all keys in the given table, see `mnesia:dirty_all_keys`.","ref":"Amnesia.Table.html#keys!/1"},{"type":"function","title":"Amnesia.Table.last/1","doc":"Get the last key in the table, see `mnesia:last`.","ref":"Amnesia.Table.html#last/1"},{"type":"function","title":"Amnesia.Table.last!/1","doc":"Get the last key in the table, see `mnesia:dirty_last`.","ref":"Amnesia.Table.html#last!/1"},{"type":"function","title":"Amnesia.Table.lock/2","doc":"Lock the given table for the given kind of lock, see `mnesia:lock`.","ref":"Amnesia.Table.html#lock/2"},{"type":"function","title":"Locks - Amnesia.Table.lock/2","doc":"* `:write` sets a `:write` lock\n* `:write!` sets a `:sticky_write` lock\n* `:read` sets a `:read` lock","ref":"Amnesia.Table.html#lock/2-locks"},{"type":"function","title":"Amnesia.Table.majority/2","doc":"Change the given table majority, see `mnesia:change_table_majority`.","ref":"Amnesia.Table.html#majority/2"},{"type":"function","title":"Amnesia.Table.master_nodes/2","doc":"Set master nodes for the given table, see `mnesia:set_master_nodes`.","ref":"Amnesia.Table.html#master_nodes/2"},{"type":"function","title":"Amnesia.Table.match/3","doc":"Select records in the given table using simple don't care values, see\n`mnesia:match_object`.","ref":"Amnesia.Table.html#match/3"},{"type":"function","title":"Amnesia.Table.match!/2","doc":"Select records in the given table using simple don't care values, see\n`mnesia:dirty_match_object`.","ref":"Amnesia.Table.html#match!/2"},{"type":"function","title":"Amnesia.Table.member?/2","doc":"Check if the key is present in the given table.","ref":"Amnesia.Table.html#member?/2"},{"type":"function","title":"Amnesia.Table.mode/2","doc":"Change the access mode of the given table, see `mnesia:change_table_access_mode`.","ref":"Amnesia.Table.html#mode/2"},{"type":"function","title":"Modes - Amnesia.Table.mode/2","doc":"* `:both` sets read and write mode, it's the default.\n* `:read!` sets read-only mode.","ref":"Amnesia.Table.html#mode/2-modes"},{"type":"function","title":"Amnesia.Table.move_copy/3","doc":"Move the copy of the given table from the given node to another given\nnode, see `mnesia:move_table_copy`.","ref":"Amnesia.Table.html#move_copy/3"},{"type":"function","title":"Amnesia.Table.next/2","doc":"Get the next key in the table starting from the given key, see `mnesia:next`.","ref":"Amnesia.Table.html#next/2"},{"type":"function","title":"Amnesia.Table.next!/2","doc":"Get the next key in the table starting from the given key, see\n`mnesia:dirty_next`.","ref":"Amnesia.Table.html#next!/2"},{"type":"type","title":"Amnesia.Table.o/0","doc":"","ref":"Amnesia.Table.html#t:o/0"},{"type":"function","title":"Amnesia.Table.ordered_set?/1","doc":"Check if the given table is an ordered set.","ref":"Amnesia.Table.html#ordered_set?/1"},{"type":"function","title":"Amnesia.Table.prev/2","doc":"Get the previous key in the table starting from the given key, see\n`mnesia:prev`.","ref":"Amnesia.Table.html#prev/2"},{"type":"function","title":"Amnesia.Table.prev!/2","doc":"Get the previous key in the table starting from the given key, see\n`mnesia:dirty_prev`.","ref":"Amnesia.Table.html#prev!/2"},{"type":"function","title":"Amnesia.Table.priority/2","doc":"Change the given table loading priority.","ref":"Amnesia.Table.html#priority/2"},{"type":"function","title":"Amnesia.Table.properties/1","doc":"Return properties of the given table.","ref":"Amnesia.Table.html#properties/1"},{"type":"function","title":"Amnesia.Table.read/3","doc":"Read records from the given table with the given key, locking in the given\nmode, see `mnesia:read`.\n\n* `:write` sets a `:write` lock\n* `:write!` sets a `:sticky_write` lock\n* `:read` sets a `:read` lock","ref":"Amnesia.Table.html#read/3"},{"type":"function","title":"Amnesia.Table.read!/2","doc":"Read records from the given table with the given key, see `mnesia:dirty_read`.","ref":"Amnesia.Table.html#read!/2"},{"type":"function","title":"Amnesia.Table.read_at/3","doc":"Read records on the given table based on a secondary index given as position,\nsee `mnesia:index_read`.","ref":"Amnesia.Table.html#read_at/3"},{"type":"function","title":"Amnesia.Table.read_at!/3","doc":"Read records on the given table based on a secondary index given as position,\nsee `mnesia:dirty_index_read`.","ref":"Amnesia.Table.html#read_at!/3"},{"type":"function","title":"Amnesia.Table.select/2","doc":"Select records in the given table using a match_spec, see `mnesia:select`.","ref":"Amnesia.Table.html#select/2"},{"type":"function","title":"Amnesia.Table.select/3","doc":"Select records in the given table using a match_spec passing a limit or a\nlock kind, see `mnesia:select`.","ref":"Amnesia.Table.html#select/3"},{"type":"function","title":"Amnesia.Table.select/4","doc":"Select records in the given table using a match_spec passing a limit and a\nlock kind, see `mnesia:select`.","ref":"Amnesia.Table.html#select/4"},{"type":"function","title":"Amnesia.Table.select!/2","doc":"Select records in the given table using a match_spec, see\n`mnesia:dirty_select`.","ref":"Amnesia.Table.html#select!/2"},{"type":"function","title":"Amnesia.Table.set?/1","doc":"Check if the given table is a set.","ref":"Amnesia.Table.html#set?/1"},{"type":"function","title":"Amnesia.Table.stream/2","doc":"","ref":"Amnesia.Table.html#stream/2"},{"type":"function","title":"Amnesia.Table.stream!/1","doc":"","ref":"Amnesia.Table.html#stream!/1"},{"type":"function","title":"Amnesia.Table.transform/2","doc":"Transform a table, useful to change tables in a running instance, see\n`mnesia:transform_table`.","ref":"Amnesia.Table.html#transform/2"},{"type":"function","title":"Amnesia.Table.transform/3","doc":"Transform a table, useful to change tables in a running instance, see\n`mnesia:transform_table`.","ref":"Amnesia.Table.html#transform/3"},{"type":"function","title":"Amnesia.Table.transform/4","doc":"Transform a table, renaming it, useful to change tables in a running\ninstance, see `mnesia:transform_table`.","ref":"Amnesia.Table.html#transform/4"},{"type":"function","title":"Amnesia.Table.type/1","doc":"Return the type of the given table.","ref":"Amnesia.Table.html#type/1"},{"type":"function","title":"Amnesia.Table.wait/2","doc":"Wait for the passed tables for the given timeout, see `mnesia:wait_for_tables`.","ref":"Amnesia.Table.html#wait/2"},{"type":"function","title":"Amnesia.Table.write/3","doc":"Write the given record in the given table, using the given lock, see\n`mnesia:write`.","ref":"Amnesia.Table.html#write/3"},{"type":"function","title":"Locks - Amnesia.Table.write/3","doc":"* `:write` sets a `:write` lock\n* `:write!` sets a `:sticky_write` lock","ref":"Amnesia.Table.html#write/3-locks"},{"type":"function","title":"Amnesia.Table.write!/2","doc":"Write the given record in the given table, see `mnesia:dirty_write`.","ref":"Amnesia.Table.html#write!/2"},{"type":"module","title":"Amnesia.Table.Coordinator","doc":"","ref":"Amnesia.Table.Coordinator.html"},{"type":"function","title":"Amnesia.Table.Coordinator.add_index/2","doc":"","ref":"Amnesia.Table.Coordinator.html#add_index/2"},{"type":"function","title":"Amnesia.Table.Coordinator.create/2","doc":"","ref":"Amnesia.Table.Coordinator.html#create/2"},{"type":"function","title":"Amnesia.Table.Coordinator.create!/2","doc":"","ref":"Amnesia.Table.Coordinator.html#create!/2"},{"type":"function","title":"Amnesia.Table.Coordinator.delete_index/2","doc":"","ref":"Amnesia.Table.Coordinator.html#delete_index/2"},{"type":"function","title":"Amnesia.Table.Coordinator.destroy/1","doc":"","ref":"Amnesia.Table.Coordinator.html#destroy/1"},{"type":"function","title":"Amnesia.Table.Coordinator.destroy!/1","doc":"","ref":"Amnesia.Table.Coordinator.html#destroy!/1"},{"type":"module","title":"Amnesia.Table.Definition","doc":"","ref":"Amnesia.Table.Definition.html"},{"type":"module","title":"Amnesia.Table.Match","doc":"","ref":"Amnesia.Table.Match.html"},{"type":"function","title":"Amnesia.Table.Match.new/1","doc":"Get a match from the various match results.","ref":"Amnesia.Table.Match.html#new/1"},{"type":"opaque","title":"Amnesia.Table.Match.t/0","doc":"","ref":"Amnesia.Table.Match.html#t:t/0"},{"type":"module","title":"Amnesia.Table.Select","doc":"","ref":"Amnesia.Table.Select.html"},{"type":"function","title":"Amnesia.Table.Select.new/1","doc":"Get a selection from the various select results.","ref":"Amnesia.Table.Select.html#new/1"},{"type":"opaque","title":"Amnesia.Table.Select.t/0","doc":"","ref":"Amnesia.Table.Select.html#t:t/0"},{"type":"module","title":"Amnesia.Table.Stream","doc":"","ref":"Amnesia.Table.Stream.html"},{"type":"function","title":"Amnesia.Table.Stream.new/3","doc":"","ref":"Amnesia.Table.Stream.html#new/3"},{"type":"function","title":"Amnesia.Table.Stream.reverse/1","doc":"Reverse the stream.","ref":"Amnesia.Table.Stream.html#reverse/1"},{"type":"task","title":"mix amnesia.create","doc":"","ref":"Mix.Tasks.Amnesia.Create.html"},{"type":"task","title":"mix amnesia.drop","doc":"","ref":"Mix.Tasks.Amnesia.Drop.html"},{"type":"exception","title":"Amnesia.LocalTableSyncError","doc":"","ref":"Amnesia.LocalTableSyncError.html"},{"type":"exception","title":"Amnesia.TableExistsError","doc":"","ref":"Amnesia.TableExistsError.html"},{"type":"exception","title":"Amnesia.TableMissingError","doc":"","ref":"Amnesia.TableMissingError.html"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.36.1"}}